Package kiyut.sketsa.loaders.event

## Class SVGEditorSupportEvent

- java.lang.Object
- - java.util.EventObject
  - - kiyut.sketsa.loaders.event.SVGEditorSupportEvent

- All Implemented Interfaces:
    `Serializable`

      public class SVGEditorSupportEvent
      extends EventObject

  An event for `SVGEditorSupport`. If you like to know the SVGDocument location, you can use `doc.getDocumentURI()`
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SVGEditorSupportEvent​(Object source, org.w3c.dom.svg.SVGDocument doc)` |
    `SVGEditorSupportEvent​(Object source, org.w3c.dom.svg.SVGDocument doc, org.openide.windows.TopComponent tc)` |
    `SVGEditorSupportEvent​(Object source, org.w3c.dom.svg.SVGDocument doc, org.w3c.dom.svg.SVGDocument replacedDoc, org.openide.windows.TopComponent tc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.w3c.dom.svg.SVGDocument` | `getReplacedSVGDocument()` | Return replaced SVGDocument, only valid during documentReplaced event
    `org.w3c.dom.svg.SVGDocument` | `getSVGDocument()` | Return SVGDocument
    `org.openide.windows.TopComponent` | `getTopComponent()` | Return the associated TopComponent

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SVGEditorSupportEvent

          public SVGEditorSupportEvent​(Object source,
                                       org.w3c.dom.svg.SVGDocument doc)

    - #### SVGEditorSupportEvent

          public SVGEditorSupportEvent​(Object source,
                                       org.w3c.dom.svg.SVGDocument doc,
                                       org.openide.windows.TopComponent tc)

    - #### SVGEditorSupportEvent

          public SVGEditorSupportEvent​(Object source,
                                       org.w3c.dom.svg.SVGDocument doc,
                                       org.w3c.dom.svg.SVGDocument replacedDoc,
                                       org.openide.windows.TopComponent tc)

  - ### Method Detail

    - #### getSVGDocument

          public org.w3c.dom.svg.SVGDocument getSVGDocument()

      Return SVGDocument
      Returns:
        SVGDocument

    - #### getTopComponent

          public org.openide.windows.TopComponent getTopComponent()

      Return the associated TopComponent
      Returns:
        TopComponent or null

    - #### getReplacedSVGDocument

          public org.w3c.dom.svg.SVGDocument getReplacedSVGDocument()

      Return replaced SVGDocument, only valid during documentReplaced event
      Returns:
        SVGDocument